- Qt 6.5
- Qt GUI
- C++ Classes
- QVulkanExtension
- Qt 6.5.0 Reference Documentation

# QVulkanExtension Struct

Represents information about a Vulkan extension. More...

Header: | #include <QVulkanExtension>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Gui) target_link_libraries(mytarget PRIVATE Qt6::Gui)
qmake: | QT += gui

- List of all members, including inherited members

## Public Variables

QByteArray | name
uint32_t | version

## Related Non-Members

size_t | qHash(const QVulkanExtension &key, size_t seed = 0)
bool | operator!=(const QVulkanExtension &lhs, const QVulkanExtension &rhs)
bool | operator==(const QVulkanExtension &lhs, const QVulkanExtension &rhs)

## Detailed Description

## Member Variable Documentation

### QByteArray QVulkanExtension::name

This variable holds the name of the extension.

### uint32_t QVulkanExtension::version

This variable holds the version of the extension. This is an integer, increasing with each backward compatible change.

## Related Non-Members

### size_t qHash(const QVulkanExtension &key, size_t seed = 0)

Returns the hash value for the key, using seed to seed the calculation.

### bool operator!=(const QVulkanExtension &lhs, const QVulkanExtension &rhs)

Returns `true` if Vulkan extensions lhs and rhs are have different name or version.

### bool operator==(const QVulkanExtension &lhs, const QVulkanExtension &rhs)

Returns `true` if Vulkan extensions lhs and rhs are have the same name and version.